package com.itant.joycity.view;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.ListView;

/**
 *自定义ListView
 * @author 崔田田
 * @version 1.0
 */
public class MyListView extends ListView{

	public MyListView(Context context, AttributeSet attrs) {
		super(context, attrs);
	}
	
	/**解决ListView与ScrollView滑动冲突*/
	@Override
	protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
		int expandSpec = MeasureSpec.makeMeasureSpec(Integer.MAX_VALUE >> 2, MeasureSpec.AT_MOST);
		super.onMeasure(widthMeasureSpec, expandSpec);
	}

}
